# Gets data on the status of the most recent bitcoin transactions
curl --compressed "https://api.coinmetrics.io/v4/blockchain/btc/transaction-tracker?pretty=true&api_key=<your_key>"# Gets data on the status of the most recent bitcoin transactions
import requests
response = requests.get('https://api.coinmetrics.io/v4/blockchain/btc/transaction-tracker?pretty=true&api_key=<your_key>').json()
print(response)
const options = {method: 'GET'};
fetch('https://api.coinmetrics.io/v4/blockchain/{asset}/transaction-tracker?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinmetrics.io/v4/blockchain/{asset}/transaction-tracker?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinmetrics.io/v4/blockchain/{asset}/transaction-tracker?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinmetrics.io/v4/blockchain/{asset}/transaction-tracker?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinmetrics.io/v4/blockchain/{asset}/transaction-tracker?api_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"txid": "04b743bc2451c2a8c9fb3bb946de4eb1305a4c0c51fd7a02ee5975fb4cecf4da",
"time": "2021-06-08T11:48:21.000000000Z",
"first_seen_time": "2021-06-08T10:41:55.396000000Z",
"status": "CONFIRMED",
"status_update_time": "2021-06-08T10:44:38.224000000Z",
"status_updates": [
{
"time": "2021-06-08T10:41:57.421000000Z",
"status": "UNCONFIRMED"
},
{
"time": "2021-06-08T10:44:38.224000000Z",
"status": "CONFIRMED",
"block_hash": "000000000000000000003eee54fd5f1ae769400e66b3cd9475b5fd6255de1834",
"height": "686786"
}
],
"details": {
"version": "1",
"amount": "0.10302613",
"replace_by_fee_supported": false,
"fee": "0.0009",
"feerate": "473.6842",
"mempool_feerate_mean_at_first_seen_time": "25.5569",
"mempool_feerate_min_at_first_seen_time": "1",
"consensus_size": "760",
"physical_size": "380"
},
"block_hash": "000000000000000000003eee54fd5f1ae769400e66b3cd9475b5fd6255de1834",
"height": "686786",
"n_confirmations": "1"
}
],
"inputs": [
{
"address": "112dvb4DogEpcp3yUR59HQuN1LFJbPErAT"
},
{
"address": "112duuEvfsJDVsuVn7Xe27bpxtq5mnuvtX"
}
],
"outputs": [
{
"address": "112jmDkNGHSbhhY17JGpxU3sMA9ZExG7b2"
},
{
"address": "112dtXeVfH3QgRJJwCiQe1FuRAKBqWfY3U"
}
],
"next_page_token": "MjAyMS0wNi0wOFQxMDo0MTo1NS4zOTZafEJMZER2Q1JSd3FqSi16dTVSdDVPc1RCYVRBeFJfWG9DN2xsMS0wenM5Tm8",
"next_page_url": "https://api.coinmetrics.io/v4/blockchain/btc/transaction-tracker?api_key=<your_key>&pretty=true&txids=04b743bc2451c2a8c9fb3bb946de4eb1305a4c0c51fd7a02ee5975fb4cecf4da,edb7e7b0dc1914d29ef978b332a45b89c225c555f18d6d4cfbcec0963d432544&page_size=1&paging_from=start&next_page_token=MjAyMS0wNi0wOFQxMDo0MTo1NS4zOTZafEJMZER2Q1JSd3FqSi16dTVSdDVPc1RCYVRBeFJfWG9DN2xsMS0wenM5Tm8"
}Transaction tracker
Returns status updates for the specified or all transactions.
This endpoint can be helpful to track transaction settlement.
The transaction tracker keeps the history of the transaction updates for one month since the last update.
# Gets data on the status of the most recent bitcoin transactions
curl --compressed "https://api.coinmetrics.io/v4/blockchain/btc/transaction-tracker?pretty=true&api_key=<your_key>"# Gets data on the status of the most recent bitcoin transactions
import requests
response = requests.get('https://api.coinmetrics.io/v4/blockchain/btc/transaction-tracker?pretty=true&api_key=<your_key>').json()
print(response)
const options = {method: 'GET'};
fetch('https://api.coinmetrics.io/v4/blockchain/{asset}/transaction-tracker?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinmetrics.io/v4/blockchain/{asset}/transaction-tracker?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinmetrics.io/v4/blockchain/{asset}/transaction-tracker?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinmetrics.io/v4/blockchain/{asset}/transaction-tracker?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinmetrics.io/v4/blockchain/{asset}/transaction-tracker?api_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"txid": "04b743bc2451c2a8c9fb3bb946de4eb1305a4c0c51fd7a02ee5975fb4cecf4da",
"time": "2021-06-08T11:48:21.000000000Z",
"first_seen_time": "2021-06-08T10:41:55.396000000Z",
"status": "CONFIRMED",
"status_update_time": "2021-06-08T10:44:38.224000000Z",
"status_updates": [
{
"time": "2021-06-08T10:41:57.421000000Z",
"status": "UNCONFIRMED"
},
{
"time": "2021-06-08T10:44:38.224000000Z",
"status": "CONFIRMED",
"block_hash": "000000000000000000003eee54fd5f1ae769400e66b3cd9475b5fd6255de1834",
"height": "686786"
}
],
"details": {
"version": "1",
"amount": "0.10302613",
"replace_by_fee_supported": false,
"fee": "0.0009",
"feerate": "473.6842",
"mempool_feerate_mean_at_first_seen_time": "25.5569",
"mempool_feerate_min_at_first_seen_time": "1",
"consensus_size": "760",
"physical_size": "380"
},
"block_hash": "000000000000000000003eee54fd5f1ae769400e66b3cd9475b5fd6255de1834",
"height": "686786",
"n_confirmations": "1"
}
],
"inputs": [
{
"address": "112dvb4DogEpcp3yUR59HQuN1LFJbPErAT"
},
{
"address": "112duuEvfsJDVsuVn7Xe27bpxtq5mnuvtX"
}
],
"outputs": [
{
"address": "112jmDkNGHSbhhY17JGpxU3sMA9ZExG7b2"
},
{
"address": "112dtXeVfH3QgRJJwCiQe1FuRAKBqWfY3U"
}
],
"next_page_token": "MjAyMS0wNi0wOFQxMDo0MTo1NS4zOTZafEJMZER2Q1JSd3FqSi16dTVSdDVPc1RCYVRBeFJfWG9DN2xsMS0wenM5Tm8",
"next_page_url": "https://api.coinmetrics.io/v4/blockchain/btc/transaction-tracker?api_key=<your_key>&pretty=true&txids=04b743bc2451c2a8c9fb3bb946de4eb1305a4c0c51fd7a02ee5975fb4cecf4da,edb7e7b0dc1914d29ef978b332a45b89c225c555f18d6d4cfbcec0963d432544&page_size=1&paging_from=start&next_page_token=MjAyMS0wNi0wOFQxMDo0MTo1NS4zOTZafEJMZER2Q1JSd3FqSi16dTVSdDVPc1RCYVRBeFJfWG9DN2xsMS0wenM5Tm8"
}Authorizations
Query Parameters
BTC asset only.
Comma separated list of bitcoin addresses to track transactions for. Transactions in which at least one of the addresses is either a sender or recipient will be returned.
By default only transactions currently in mempool are returned. To return all associated transactions use unconfirmed_only=false parameter.
Mutually exclusive with txids, replacements_for_txids, replacements_for_txids parameters.
Start of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If start_time is omitted, response will include time series from the earliest time available.
End of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If end_time is omitted, response will include time series up to the latest time available.
Timezone name for start_time and end_time timestamps.
This parameter does not modify the output times, which are always UTC.
Format is defined by TZ database.
"America/New_York"

